# TdApi.PageBlockEmbeddedPost (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PageBlockEmbeddedPost

Package it.tdlight.jni

# Class TdApi.PageBlockEmbeddedPost

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockEmbeddedPost

Enclosing class:
  TdApi

    public static class TdApi.PageBlockEmbeddedPost
    extends TdApi.PageBlock

An embedded post.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`String` | `author` | Post author.
`TdApi.Photo` | `authorPhoto` | Post author photo; may be null.
`TdApi.PageBlockCaption` | `caption` | Post caption.
`static int` | `CONSTRUCTOR` |
`int` | `date` | Point in time (Unix timestamp) when the post was created; 0 if unknown.
`TdApi.PageBlock[]` | `pageBlocks` | Post content.
`String` | `url` | Web page URL.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PageBlockEmbeddedPost()` | An embedded post.
`PageBlockEmbeddedPost​(DataInput input)` |
`PageBlockEmbeddedPost​(String url, String author, TdApi.Photo authorPhoto, int date, TdApi.PageBlock[] pageBlocks, TdApi.PageBlockCaption caption)` | An embedded post.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### url

public String url
Web page URL.

### author

public String author
Post author.

### authorPhoto

public TdApi.Photo authorPhoto
Post author photo; may be null.

### date

public int date
Point in time (Unix timestamp) when the post was created; 0 if unknown.

### pageBlocks

public TdApi.PageBlock[] pageBlocks
Post content.

### caption

public TdApi.PageBlockCaption caption
Post caption.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PageBlockEmbeddedPost

public PageBlockEmbeddedPost()
An embedded post.

### PageBlockEmbeddedPost

public PageBlockEmbeddedPost​(String url, String author, TdApi.Photo authorPhoto, int date, TdApi.PageBlock[] pageBlocks, TdApi.PageBlockCaption caption)
An embedded post.

Parameters:
  `url` - String Web page URL.
  `author` - String Post author.
  `authorPhoto` - Photo Post author photo; may be null.
  `date` - int Point in time (Unix timestamp) when the post was created; 0 if unknown.
  `pageBlocks` - PageBlock[] Post content.
  `caption` - PageBlockCaption Post caption.

### PageBlockEmbeddedPost

public PageBlockEmbeddedPost​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`